Subject: bug#55970: 29.0.50; Emacs crashes when dragging the scroll bar with "--with-pgtk" and "--without-toolkit-scroll-bars" configure flags

From: Po Lu <[email-masked]>
Date: Wed, 15 Jun 2022 08:59:20 +0800

Eli Zaretskii <[email-masked]> writes:

> Thanks for testing, I will let it to Po Lu to decide whether that's
> the proper fix in this case.

Non-toolkit scroll bars use different kinds of events compared to
toolkit scroll bars.  PGTK only implements the latter kind, so turning
toolkit scroll bars off should trigger this piece of configure.ac:

  elif test "${window_system}" != "x11" && "${window_system}" != "none"; then
    AC_MSG_ERROR(Non-toolkit scroll bars are not implemented for your system)
  fi

Perhaps Sameer's configure script is out of date and needs to be
regenerated.